// sdxBaseEngine ColorShader  2009 Sascha Bajus
// ----------------------------------------------------
//
// Der einfache VertexShader gibt jedem Vertex eine
// neue Ausgangsfarbe.
// Die Farbe ist abhnging von den bergebenen r,g,b
// Werten.
// ----------------------------------------------------

float4x4 WorldViewProj : WORLDVIEWPROJECTION;
float r;
float g;
float b;

struct VS_OUTPUT 
{
  float4 pos   : POSITION;
  float4 color : COLOR0;
};


VS_OUTPUT main(float4 pos :POSITION)
{
  VS_OUTPUT Out;
  Out.pos = mul(pos,WorldViewProj);
  Out.color.r=r;
  Out.color.g=g;
  Out.color.b=b;
  Out.color.a=1;
  return Out;
}


technique colored
{
  pass p0
  {
    VertexShader = compile vs_1_1 main();
  }
}

